<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/catalogo.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <link rel="icon" href="imagen/logo-negro.png" type="image/x-icon">
    <title>Catalogo</title>
    <?php
    // Conexión a la base de datos
    $conexion = new mysqli("localhost", "root", "", "ser");

    // Verificar la conexión
    if ($conexion->connect_error) {
        die("Error de conexión: " . $conexion->connect_error);
    }

    // Consulta SQL para obtener los autos de la base de datos
    $consulta = "SELECT * FROM autos";
    $resultado = $conexion->query($consulta);

?>
</head>

<body>

    <nav class="barra-superior">
        <img src="imagen/ubicacion.png" alt="ubi">
        <p>Mazatlán, Sinaloa</p>
    </nav>

    <nav class="barra-inferior">
        <a href="index.php" class="logo">
            <img src="imagen/logo-negro.png" alt="Logo">
        </a>
        <nav class="main-nav">
            <ul>
                <li><a href="index.php">Inicio</a></li>
                <li><a href="catalogo.php">Catálogo</a></li>
                <li><a href="contacto.php">Contacto</a></li>
            </ul>
        </nav>
        <div class="search-box">
        <form action="catalogo.php" method="get" id="searchForm">
            <input type="text" placeholder="Buscar en el catálogo" name="modelo">
            <button type="submit"><img src="imagen/lupa.png" alt="Buscar"></button>
        </form>
            <?php
            // Verificar si el usuario ha iniciado sesión
            session_start();

            if (isset($_SESSION['usuario'])) {
                // El usuario ha iniciado sesión
                echo '<a href="cerrar-sesion.php" style="text-decoration: none; color: black">Cerrar Sesión</a>';
            } else {
                // El usuario no ha iniciado sesión
                echo '<a href="inicio-sesion.php"><img src="imagen/inicio-sesion.png"></a>';
            }
            ?>
        </div>
    </nav>

    <div class="catalogo">
        <?php
        if (isset($_SESSION['usuario'])) {
            $email = $_SESSION['usuario'];
            // Consultar el rol del usuario directamente en la base de datos
            $conexion = new mysqli("localhost", "root", "", "ser");
            if ($conexion->connect_error) {
                die("Error de conexión: " . $conexion->connect_error);
            }
            $con = "SELECT permisos FROM usuarios WHERE correo = '$email'";
            $res = $conexion->query($con);
            if ($res->num_rows > 0) {
                $fila2 = $res->fetch_assoc();
                $permiso = $fila2["permisos"];
        }
        } else {
            $permiso=0;
        }
        if ($resultado && $resultado->num_rows > 0) {
            $modeloBuscado = isset($_GET['modelo']) ? $_GET['modelo'] : '';
            // Mostrar autos obtenidos de la base de datos
            while ($fila = $resultado->fetch_assoc()) {
                echo '<div class="auto';
                if ($modeloBuscado !== '' && strtolower($fila['modelo']) === strtolower($modeloBuscado)) {
                    echo 'resaltado';
                }
                echo '">';
                if($permiso==1) {
                    echo '<button class="edit-button" data-auto-id="' . $fila['id_modelocarro'] . '"><img src="imagen/editar.jpg" alt="Editar"></button>';
                }
                echo '<img src="imagen/' . $fila['imagen'] . '" alt="Auto">';
                echo '<h3><a href="contacto.php" class="link-contacto">' . $fila['modelo'] . '</a></h3>';
                echo '<p>' . $fila['ano'] . '</p>';
                echo '<h4>' . $fila['descripcion'] . '</h4>';
                echo '</div>';
            }
        } else {
            // Si no hay autos en la base de datos
            echo '<p>No hay autos disponibles.</p>';
        }
        ?>

        <div class="auto agregar">
            <?php
                if($permiso==1) {
                    echo '<button id="agregarAuto" class="add-button">+</button>';
                }
                $conexion->close();
            ?>
        </div>

    <div id="modal" class="modal">
    <div class="modal-content" id="modalContent">
        <span class="close" id="closeButton" onclick="cerrarModal()">&times;</span>
        <form name="formularioAuto" method="post">
        <label id="modelo">Modelo:</label>
        <input type="text" id="modelo-input" name="modelo">

        <label id="ano">Año:</label>
        <input type="text" id="ano-input" name="ano">

        <label id="descripcion">Descripción:</label>
        <textarea id="descripcion-input" name="descripcion" class="descripcion-input"></textarea>

        <label id="imagen" class="descripcion-input">Imagen (foto.formato):</label>
        <input type="text" id="imagen-input" name="imagen">
        </form>
    </div>
    </div>
</div>

    <footer>
        <div class="footer-container">
            <img src="imagen/marcas.png" alt="Imagen en el footer">
            <p>&copy; 2023 Moran Ortega.</p>
        </div>
    </footer>

    <script src="javascript/script.js"></script>

</body>
</html>
