document.addEventListener("DOMContentLoaded", function () {
    const agregarAutoBtn = document.getElementById("agregarAuto");
    const botonesEditar = document.querySelectorAll(".edit-button");

    agregarAutoBtn.addEventListener("click", function () {
        // Enviar una solicitud al servidor para agregar un nuevo auto
        var xhr = new XMLHttpRequest();
        xhr.open("POST", "agregar-auto.php", true);
        xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
        xhr.onreadystatechange = function () {
            if (xhr.readyState === 4 && xhr.status === 200) {
                // Manejar la respuesta del servidor si es necesario
                location.reload(); // Recargar la página para ver el nuevo auto
            }
        };
        xhr.send();
    });

    // Agregar event listener para los botones de editar en el catálogo
    botonesEditar.forEach(function (botonEditar) {
        botonEditar.addEventListener("click", function () {
            // Obtener el ID del auto asociado a este botón
            const autoId = botonEditar.dataset.autoId;

            // Enviar una solicitud al servidor para obtener la información del auto
            var xhr = new XMLHttpRequest();
            xhr.open("GET", "obtener-auto.php?id=" + autoId, true);
            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4 && xhr.status === 200) {
                    const auto = JSON.parse(xhr.responseText);
                    editarAuto(auto);
                }
            };
            xhr.send();
        });
    });

    document.getElementById("closeButton").addEventListener("click", cerrarModal);

    function editarAuto(auto) {
        const formulario = document.createElement("form");

        // Obtener los elementos del formulario existente
        const modeloInput = document.getElementById("modelo-input");
        const anoInput = document.getElementById("ano-input");
        const descripcionInput = document.getElementById("descripcion-input");
        const imagenInput = document.getElementById("imagen-input");

        // Asignar los valores del auto a editar a los elementos del formulario
        modeloInput.value = auto.modelo;
        anoInput.value = auto.ano;
        descripcionInput.value = auto.descripcion;
        imagenInput.value = auto.imagen;

        formulario.innerHTML = `
            <button type="button" onclick="guardarAuto(${auto.id_modelocarro})">Guardar Cambios</button>
        `;
        abrirModal();
        document.getElementById("modalContent").appendChild(formulario);
    }

    function abrirModal() {
        document.getElementById("modal").style.display = "block";
    }

    function cerrarModal() {
        const modalContent = document.getElementById("modalContent");
        while (modalContent.firstChild) {
            modalContent.removeChild(modalContent.firstChild);
        }
        document.getElementById("modal").style.display = "none";
    }

    guardarAuto = function (autoId) {
        // Obtener los nuevos valores del formulario
        const nuevoModelo = document.getElementById("modelo-input").value;
        const nuevoAno = document.getElementById("ano-input").value;
        const nuevaDescripcion = document.getElementById("descripcion-input").value;
        const nuevaImagen = document.getElementById("imagen-input").value;

        // Crear un objeto con los nuevos valores
        const nuevoAuto = {
            id: autoId,
            modelo: nuevoModelo,
            ano: nuevoAno,
            descripcion: nuevaDescripcion,
            imagen: nuevaImagen
        };

        // Enviar una solicitud al servidor para actualizar el auto
        var xhr = new XMLHttpRequest();
        xhr.open("POST", "actualizar-auto.php", true);
        xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
        xhr.onreadystatechange = function () {
            if (xhr.readyState === 4 && xhr.status === 200) {
                // Manejar la respuesta del servidor si es necesario
                location.reload(); // Recargar la página para ver los cambios
            }
        };
        xhr.send(JSON.stringify(nuevoAuto));
    };

});
